function ch_av = bci_ERPx5(tongue ,  leftfinger , rightfinger , leftfoot , rightfoot, channel)

% ch_av = bci_ERPx5(tongue ,  leftfinger , rightfinger , leftfoot , rightfoot, channel)
%
% plots the 5 conditions agains each other, indicated by movem array
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2'; 'F7'; 'F8'; ...
%     'F3'; 'F4'; 'Fz'; 'T3'; 'C3'; 'C4'; 'Cz'; 'T5'; 'T6'; 'P3'; ...
%     'P4'; 'Pz'; 'O1'; 'O2'; 'Fz'; 'Oz'; 'A1'; 'A2'];

% % lateralities switched!
% ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F2'; 'F1'; 'F8'; 'F7'; ...
%     'F4'; 'F3'; 'Fz'; 'T4'; 'C4'; 'C3'; 'Cz'; 'T6'; 'T5'; 'P4'; ...
%     'P3'; 'Pz'; 'O2'; 'O1'; 'Fz'; 'Oz'; 'A2'; 'A1'];

% this is now the corrected version of the channels..latteralities as
% device indicates (not std)!
ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2';'F3'; 'F4';...
         'C3'; 'C4'; 'P3'; 'P4'; 'FN' ;'Fz';'F7'; 'F8'; 'A1'; 'A2';...
         'T3'; 'T5'; 'T6'; 'O1'; 'O2'; 'Cz'; 'Pz'; 'Oz'];

mean_period = [389 390];
r_per = [300 600]

figure('Name',['ERP channel ' ename(channel,:)])


condi = {'tongue',  'rightfinger' , 'leftfinger', 'rightfoot', 'leftfoot'};
col = {'k', 'b', 'g', 'm', 'r'};

for i = 1:5
    condi{i}
    eval(['data =' condi{i} ';']);

    ch_data = squeeze(data(:,:,channel));
    ch_mean = mean(ch_data(:,mean_period(1):mean_period(2)),2); 
    
    ch_data = ch_data - repmat(ch_mean,1,size(ch_data,2)); % do abs here
    
    ch_av = mean(ch_data,1);
    ch_std = std(ch_data,1);
    ch_std_mean = ch_std/sqrt(size(ch_data,1));
    
    subplot(2,2,[1:2])
    plot(ch_av(r_per(1):r_per(2)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) + ch_std_mean(r_per(1):r_per(2)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) - ch_std_mean(r_per(1):r_per(2)),col{i});
    hold on;
    subplot(2,2,[3:4])
    plot(ch_std(r_per(1):r_per(2)),col{i})
    hold on;
    
end
