function  bci_ERPx6(tongue ,  leftfinger , rightfinger , leftfoot , rightfoot,relax, movem ,channel)

% bci_ERPx6(tongue ,  leftfinger , rightfinger , leftfoot , rightfoot,relax, movem ,channel)
%
% plots the 6 (+relax) conditions agains each other, indicated by movem array
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% this is now the corrected version of the channels..latteralities as
% device indicates (not std)!
ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2';'F3'; 'F4';...
         'C3'; 'C4'; 'P3'; 'P4'; 'FN' ;'Fz';'F7'; 'F8'; 'A1'; 'A2';...
         'T3'; 'T5'; 'T6'; 'O1'; 'O2'; 'Cz'; 'Pz'; 'Oz'];


r_per = [1 550]

figure('Name',['ERP channel ' ename(channel,:)])


condi = {'tongue',  'rightfinger' , 'leftfinger', 'rightfoot', 'leftfoot','relax'};
col = {'k', 'b', 'g', 'm', 'r','y'};

for i = 1:length(movem)
    condi{i}
    eval(['data =' condi{movem(i)} ';']);
    
    ch_data = squeeze(data(:,:,channel));
    ch_data(:,100:190);
    sprintf('mean period: %i' ,mean(ch_data(:,140:190),2))
    % ch_mean = mean(ch_data(:,mean_period(1):mean_period(2)),2); 
    % ch_data = ch_data - repmat(ch_mean,1,size(ch_data,2)); % do abs here
    
    ch_av = mean(ch_data,1);
    ch_std = std(ch_data,1);
    ch_std_mean = ch_std/sqrt(size(ch_data,1));
    
    subplot(2,2,[1:2])
    plot(ch_av(r_per(1):r_per(2)),col{movem(i)});
    % plot(ch_av(r_per(1):r_per(2)) + ch_std_mean(r_per(1):r_per(2)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) - ch_std_mean(r_per(1):r_per(2)),col{i});
    hold on;
    subplot(2,2,[3:4])
    plot(ch_std(r_per(1):r_per(2)),col{movem(i)})
    hold on;
    
end
