function ch_av = bci_ERPlr(tongue ,  leftfinger , rightfinger , leftfoot , rightfoot, channel1,channel2)


% this is now the corrected version of the channels..latteralities as
% device indicates (not std)!
ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2';'F3'; 'F4';...
         'C3'; 'C4'; 'P3'; 'P4'; 'FN' ;'Fz';'F7'; 'F8'; 'A1'; 'A2';...
         'T3'; 'T5'; 'T6'; 'O1'; 'O2'; 'Cz'; 'Pz'; 'Oz'];

lp_cutoff = 25;
         
% define the part to be displayed
% and calculate the tic marks..
onset = 100;
offset = 400;
tic_size = 50;
r_per = onset:1:offset;
tics = find(mod(r_per,tic_size)==0);
tdisp = ( r_per(tics) - 200 ) * 5;


figure('Name',['ERP channel ' ename(channel1,:) ' and ' ename(channel2,:)])


condi = {'tongue',  'rightfinger' , 'leftfinger', 'rightfoot', 'leftfoot'};
col = {'k', 'b', 'g', 'm', 'r'};

subplot(1,2,1)
hold on
for i = 1:5
    condi{i}
    eval(['data =' condi{i} ';']);

    ch_data = squeeze(data(:,:,channel1));
    
    ch_av = mean(ch_data,1);
    ch_std = std(ch_data,1);
    ch_std_mean = ch_std/sqrt(size(ch_data,1));
    
    [b,a] = butter(9,lp_cutoff/200,'low');
    ch_filt = filter(b,a,ch_av);
    
    % subplot(2,2,[1:2])
    plot(ch_filt(r_per(2):r_per(end)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) + ch_std_mean(r_per(1):r_per(2)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) - ch_std_mean(r_per(1):r_per(2)),col{i});
%     hold on;
%     subplot(2,2,[3:4])
%     plot(ch_std(r_per(1):r_per(2)),col{i})
%     hold on;
end
set(gca,'XTick',tics)
set(gca,'XTickLabel',tdisp)

subplot(1,2,2)
hold on
for i = 1:5
    condi{i}
    eval(['data =' condi{i} ';']);

    ch_data = squeeze(data(:,:,channel2));
    
    ch_av = mean(ch_data,1);
    ch_std = std(ch_data,1);
    ch_std_mean = ch_std/sqrt(size(ch_data,1));
    
    [b,a] = butter(9,lp_cutoff/200,'low');
    ch_filt = filter(b,a,ch_av);
    
%    subplot(2,2,[1:2])
    plot(ch_filt(r_per(2):r_per(end)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) + ch_std_mean(r_per(1):r_per(2)),col{i});
    % plot(ch_av(r_per(1):r_per(2)) - ch_std_mean(r_per(1):r_per(2)),col{i});
%     hold on;
%     subplot(2,2,[3:4])
%     plot(ch_std(r_per(1):r_per(2)),col{i})
%     hold on;
    
end
set(gca,'XTick',tics)
set(gca,'XTickLabel',tdisp)
