function bci_plotSingleTF(channel)

% plots the spectral amplitudes for each condition seperately
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% this is now the corrected version of the channels..latteralities as
% device indicates (not std)!
ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2';'F3'; 'F4';...
    'C3'; 'C4'; 'P3'; 'P4'; 'FN' ;'Fz';'F7'; 'F8'; 'A1'; 'A2';...
    'T3'; 'T5'; 'T6'; 'O1'; 'O2'; 'Cz'; 'Pz'; 'Oz'];

condi = {'tongue', 'leftfinger', 'rightfinger', 'leftfoot', 'rightfoot'};
col = {'k', 'b', 'g', 'm', 'r'};

INdir = '~/Turk/EEGdata/TFv6/';
num_f = 8;

for i = 1:5
    load([INdir 'TF_' condi{i} '_ch' num2str(channel) '.mat']);
end

% baseline roughly -200 to -100
baseln = find(dispt < -20)
min(abs(dispt))


for i = 1:5

    figure('Name',['ERP channel ' ename(channel,:) ' ' condi{i}])

    eval(['data = TF' condi{i} ';']);
    ch_data = squeeze(data(:,:,:));

    % do baseline removal here

    TFav = squeeze(sum(ch_data,1));
    ch_std = std(ch_data,1);
    ch_std_mean = ch_std/sqrt(size(ch_data,1));

    mbase = mean(TFav(:,baseln),2);
    TFnorm =  10 * (log10(TFav) - repmat(log10(mbase(1:size(TFav,1))),[1 size(TFav,2)]));

    imagesc(TFnorm)
    
end