% /*---------------------------------------------------------------------------
%  *The classification test code
%  *eNTERFACE 2007 Istanbul, Team 8
%  *http://www.cmpe.boun.edu.tr/enterface07/
%  *rewritten in c by Mohammad Soleymani mohammad.soleymani@cui.unige.ch
%  */

clc
clear
close all
%%This is the code for participant number 2 data
%load 'alaattinof0108\02_Seperated\EEG_Alaatin.mat'
% load 'alaattinof0108\03_bl_corrected\Alaattin_BC.mat'
load 'christianSep.mat'



featvects=[];


timeInterval=[1:400];  %Time interval (samples)
fftPoints=64;
windowSize=64;
overlap=32;
fS=200;
filtSwitch = 1;
selectedChannels=[1:8]

co=1;
decodeCh=zeros(1,28);
decodeCh(selectedChannels)=1:length(selectedChannels);
%Feature extraction loop
for i=1:360%the loop over 360 trials
    featV=[];
    for channelN=selectedChannels %the loop over different channels
        featVe= tfFeatExtractor(squeeze(eegData(i, channelN,timeInterval)),fS,filtSwitch);
        featV= [featV ;featVe];%Conatinating different channels features

    end
    featVect(:,i)=featV;
end


%Normalization
featSD = ones(size(featVect,1),1)*sqrt(var(featVect));
featMean = ones(size(featVect,1),1)*mean(featVect);
featVect = (featVect-  featMean)./ (featSD+eps);



clear labels

v=5;
n=60;

labels=[ones(1,n-v) ones(1,n-v)*2 ones(1,n-v)*3 ];
labelsTest=[ones(1,v)  ones(1,v)*2 ones(1,v)*3];
firstSmp=60;
for i=1:1000
    i

    featVectRandomized=featVect(:,[randperm(firstSmp) 60+randperm(firstSmp*4) 300+randperm(firstSmp)]);
    featVectTrain = featVectRandomized(:,[1:n-v n+1:2*n-v 2*n+1:3*n-v ]);
    featVectTest =  featVectRandomized(:,[n-v+1:n 2*n-v+1:2*n 3*n-v+1:3*n ]);
%     [y, W] = aubt_fisher (featVectTrain', labels', 2);%Fisher feature
%     reduction 
%      close all
%      plotfeatures(y,labels);
%             pause
%     estimate = classify(featVectTest'*W, y,labels,'linear');%Linear Discriminant analysis classification
%     classRate(i)=sum(estimate==labelsTest')/length(labelsTest);
%linear SVM using OSU-SVM toolbox
[AlphaY, SVs, Bias, Parameters, nSV, nLabel] = LinearSVC(featVectTrain, labels,1);
%   [AlphaY, SVs, Bias, Parameters, nSV, nLabel] = PolySVC(featVectTrain,labels,0.000000001);%Polynomial SVM using OSU-SVM toolbox
%test the svm for cross validation
[classRate(i), DecisionValue, Ns, ConfMatrix, PreLabels]= SVMTest(featVectTest, labelsTest, AlphaY, SVs, Bias,Parameters, nSV, nLabel);


    mean(classRate)
end
mean(classRate)
%The loop for unsupervised clustering for test
% for g=2:6
%     disp([num2str(g) '  clusters Clustering results']);
%     IDX=kmeans(featVect',g);
%     sss=reshape(IDX,[6,60]);
%     for j=1:g
%         disp(['cluster No. ' num2str(j) ':   ' num2str(sum(sss'==j)/60)]);
%         
%     end
%     disp('paused, Press any key to continue');
%     pause
% end



