% /*---------------------------------------------------------------------------
%  *read and convert EEG data
%  *eNTERFACE 2007 Istanbul, Team 8
%  *http://www.cmpe.boun.edu.tr/enterface07/
%  *rewritten in c by Mohammad Soleymani mohammad.soleymani@cui.unige.ch
%  */

disp('Read data...')

load('classification\christian\Christian.mat');
for i=1:length(eeg_data)
    eegDat{i}=decodeData(eeg_data{i}');
end
[labels,I] = sort(ra_tri);
eegData=zeros(length(eegDat),size(eegDat{1},1)-2,size(eegDat{1},2)-200);
for i=1:length(eeg_data)
    tempMat=eegDat{I(i)};
    if size(tempMat,2)>size(eegDat{1},2)
        tempMat=tempMat(1:size(eegDat{1},1),1:size(eegDat{1},2));
    elseif size(tempMat,2)<size(eegDat{1},2)
        tempMat=[tempMat zeros(size(tempMat,1),size(eegDat{1},2)-size(tempMat,2))];
    end

    for j=1:8
        tempMaT(j,:)=tempMat(j,101:end) - mean(tempMat(j,101:601));
    end
  
    eegData(i,:,:)=tempMaT(:,101:end);


end
save 'classification\Christian\christianSep.mat' eegData labels